<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@cu 				CU-SA-AC-106 Consultar Avalúos Comerciales Cancelados
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consultar avalúos cancelados::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:spacer height="5" width="0" />

        <h:form id="consultarEntidadesForm">

            <h:panelGrid id="busquedaSolicitantesAvaluosPG" width="100%">

                <p:fieldset>

                    <legend>
                        <h:outputText value="Criterios de búsqueda"
                                      styleClass="legendTitle" />
                    </legend>


                    <h:panelGrid columns="4" cellspacing="7" width="100%">

                        <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
                        <h:selectOneMenu
                            value="#{consultaAvaluosCancelados.filtroAvaluos.departamento}">
                            <f:selectItems
                                value="#{consultaAvaluosCancelados.listaDepartamentos}" />
                            <p:ajax process="@this"
                                    listener="#{consultaAvaluosCancelados.cargarListaMunicipios}"
                                    update=":consultarEntidadesForm:municipio"
                                    onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide();" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="municipio"
                                         value="#{consultaAvaluosCancelados.filtroAvaluos.municipio}">
                            <f:selectItems
                                value="#{consultaAvaluosCancelados.listaMunicipios}" />
                            <p:ajax process="@this" onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide();" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Tipo avalúo:" styleClass="outputLabelStyle" />
                        <h:selectOneMenu
                            value="#{consultaAvaluosCancelados.filtroAvaluos.tipoAvaluo}">
                            <f:selectItem itemLabel="Seleccionar..." />
                            <f:selectItems value="#{general.avaluoTipoAvaluoV}" />
                        </h:selectOneMenu>


                        <h:outputLabel value="Radicación:" styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.numeroRadicacionDefinitivo}" />

                        <h:outputLabel value="Sec. Radicado:"
                                       styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.numeroSecRadicado}" />

                        <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.nombreSolicitante}" />

                        <h:outputLabel value="Fecha cancelación desde:"
                                       styleClass="outputLabelStyle" />
                        <p:calendar label="Fecha cancelación desde"
                                    value="#{consultaAvaluosCancelados.filtroAvaluos.fechaCancelacionDesde}"
                                    navigator="true" pattern="#{general.formatoFecha}" showOn="both"
                                    title="#{general.formatoFechaUsuario}" effect="slideDown"
                                    size="12">
                            <p:ajax event="dateSelect"
                                    update=":consultarEntidadesForm:fechaCancelacionHasta" />
                        </p:calendar>

                        <h:outputLabel value="Fecha cancelación hasta:"
                                       styleClass="outputLabelStyle" />
                        <p:calendar id="fechaCancelacionHasta"
                                    label="Fecha cancelación desde"
                                    value="#{consultaAvaluosCancelados.filtroAvaluos.fechaCancelacionHasta}"
                                    navigator="true" pattern="#{general.formatoFecha}" showOn="both"
                                    title="#{general.formatoFechaUsuario}" effect="slideDown"
                                    mindate="#{consultaAvaluosCancelados.filtroAvaluos.fechaCancelacionDesde}"
                                    size="12" />

                        <h:outputLabel value="Tipo empresa" styleClass="outputLabelStyle" />
                        <h:selectOneRadio label="Tipo empresa"
                                          value="#{consultaAvaluosCancelados.filtroAvaluos.tipoEmpresa}">
                            <f:selectItems value="#{general.personaTipoPersonaV}" />
                            <p:ajax
                                update=":consultarEntidadesForm:busquedaSolicitantesAvaluosPG"
                                listener="#{consultaAvaluosCancelados.onChangeTipoPersona}" />
                        </h:selectOneRadio>

                        <h:outputText value="" />
                        <h:outputText value="" />

                        <h:outputLabel value="Razón social:" styleClass="outputLabelStyle"
                                       rendered="#{!consultaAvaluosCancelados.banderaEsPersonaNatural}" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.nombreRazonSocial}"
                            rendered="#{!consultaAvaluosCancelados.banderaEsPersonaNatural}" />

                        <h:outputLabel value="Sigla:" styleClass="outputLabelStyle"
                                       rendered="#{!consultaAvaluosCancelados.banderaEsPersonaNatural}" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.sigla}"
                            rendered="#{!consultaAvaluosCancelados.banderaEsPersonaNatural}" />

                        <h:outputLabel value="Primer nombre:"
                                       styleClass="outputLabelStyle"
                                       rendered="#{consultaAvaluosCancelados.banderaEsPersonaNatural}" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.primerNombre}"
                            rendered="#{consultaAvaluosCancelados.banderaEsPersonaNatural}" />

                        <h:outputLabel value="Segundo nombre:"
                                       styleClass="outputLabelStyle"
                                       rendered="#{consultaAvaluosCancelados.banderaEsPersonaNatural}" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.segundoNombre}"
                            rendered="#{consultaAvaluosCancelados.banderaEsPersonaNatural}" />

                        <h:outputLabel value="Primer apellido"
                                       styleClass="outputLabelStyle"
                                       rendered="#{consultaAvaluosCancelados.banderaEsPersonaNatural}" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.primerApellido}"
                            rendered="#{consultaAvaluosCancelados.banderaEsPersonaNatural}" />

                        <h:outputLabel value="Segundo apellido:"
                                       styleClass="outputLabelStyle"
                                       rendered="#{consultaAvaluosCancelados.banderaEsPersonaNatural}" />
                        <h:inputText
                            value="#{consultaAvaluosCancelados.filtroAvaluos.segundoApellido}"
                            rendered="#{consultaAvaluosCancelados.banderaEsPersonaNatural}" />

                    </h:panelGrid>

                    <h:panelGrid columns="1" cellspacing="7" >

                        <p:commandButton value="Buscar" icon="ui-icon ui-icon-search"
                                         action="#{consultaAvaluosCancelados.buscar}"
                                         update=":consultarEntidadesForm:avaluosCanceladosDT"
                                         onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();" />

                    </h:panelGrid>
                </p:fieldset>

            </h:panelGrid>

            <p:fieldset>
                <legend>
                    <h:outputText value="Resultados de la consulta"
                                  styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="1" cellspacing="7" width="100%">

                    <p:dataTable id="avaluosCanceladosDT"
                                 value="#{consultaAvaluosCancelados.avaluosCancelados}"
                                 var="avaluoCancelado" rowKey="#{avaluoCancelado.id}"
                                 paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                                 {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                                 emptyMessage="No se encontraron avalúos cancelados">

                        <f:facet name="header">
                            Avalúos cancelados
                        </f:facet>

                        <p:column headerText="Opciones">
                            <p:commandButton title="Información de los predios del avalúo"
                                             icon="ui-icon-home"
                                             action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                             update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();
                                             handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                                <f:setPropertyActionListener value="#{avaluoCancelado}"
                                                             target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                            </p:commandButton>
                        </p:column>

                        <p:column headerText="Sec_Radicado"
                                  filterBy="#{avaluoCancelado.secRadicado}"
                                  sortBy="#{avaluoCancelado.secRadicado}">
                            <h:outputText value="#{avaluoCancelado.secRadicado}" />
                        </p:column>

                        <p:column headerText="Departamento"
                                  filterBy="#{avaluoCancelado.avaluoPredios[0].departamento.nombre}"
                                  sortBy="#{avaluoCancelado.avaluoPredios[0].departamento.nombre}">
                            <p:commandLink
                                value="#{avaluoCancelado.avaluoPredios[0].departamento.nombre}"
                                rendered="#{avaluoCancelado.tienePrediosEnDiferentesDeptos}"
                                styleClass="commandLinkStyle"
                                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                update=":consultarDepartamentosMunicipioForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();
                                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                                <f:setPropertyActionListener value="#{avaluoCancelado}"
                                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                            </p:commandLink>

                            <h:outputText
                                rendered="#{!avaluoCancelado.tienePrediosEnDiferentesDeptos}"
                                value="#{avaluoCancelado.avaluoPredios[0].departamento.codigo} - #{avaluoCancelado.avaluoPredios[0].departamento.nombre}" />
                        </p:column>

                        <p:column headerText="Municipio"
                                  filterBy="#{avaluoCancelado.avaluoPredios[0].municipio.nombre}"
                                  sortBy="#{avaluoCancelado.avaluoPredios[0].municipio.nombre}">
                            <p:commandLink
                                value="#{avaluoCancelado.avaluoPredios[0].municipio.nombre}"
                                rendered="#{avaluoCancelado.tienePrediosEnDiferentesMunicipios}"
                                styleClass="commandLinkStyle"
                                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                update=":consultarDepartamentosMunicipioForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();
                                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                                <f:setPropertyActionListener value="#{avaluoCancelado}"
                                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                            </p:commandLink>

                            <h:outputText
                                rendered="#{!avaluoCancelado.tienePrediosEnDiferentesMunicipios}"
                                value="#{avaluoCancelado.avaluoPredios[0].municipio.codigo} - #{avaluoCancelado.avaluoPredios[0].municipio.nombre}" />
                        </p:column>

                        <p:column headerText="Solicitante"
                                  filterBy="#{avaluoCancelado.solicitante.nombreCompleto}"
                                  sortBy="#{avaluoCancelado.solicitante.nombreCompleto}">
                            <h:outputText
                                value="#{avaluoCancelado.solicitante.nombreCompleto}" />
                        </p:column>

                        <p:column headerText="Fecha cancelacion avalúo"
                                  filterBy="#{avaluoCancelado.cancelacion.fecha}"
                                  sortBy="#{avaluoCancelado.cancelacion.fecha}">
                            <h:outputText value="#{avaluoCancelado.cancelacion.fecha}">
                                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Justificación cancelación"
                                  filterBy="#{avaluoCancelado.cancelacion.justificacion}"
                                  sortBy="#{avaluoCancelado.cancelacion.justificacion}">
                            <h:outputText
                                value="#{avaluoCancelado.cancelacion.justificacion}" />
                        </p:column>

                    </p:dataTable>
                </h:panelGrid>
            </p:fieldset>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{consultaAvaluosCancelados.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <!-- ...................... dialogs  ................................... -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <ui:include src="../../util/visorGeografico.xhtml" />

    </ui:define>
</ui:composition>